* 15 February 2022
* CVACS Survey 1
* This do-file contains the code to create deflators to deflate CVACS Survey 1 financial data. 
* Deflated values can be generated by multiplying the relevant financial data variable by the deflator generated by this do-file.

*=====================================================================================================================================
/*

THIS DO FILE CREATES DEFLATORS FOR USE WITH THE CVACS DATASET.
BASE MONTH IS NOVEMBER 2021 AND INTERVIEW DATES ARE TAKEN FROM THE UNVACCINATED QUESTIONNAIRE. 
MISSING INTERVIEW MONTHS ARE IMPUTED TO THE MODAL MONTH FOR THE RELEVANT SURVEY.

PRICE INDICES ARE FROM THE NATIONAL HEADLINE CPI INDEX PUBLISHED BY STATS SA, AVAILABLE HERE:
http://www.statssa.gov.za/?page_id=1854&PPN=P0141

*/
*=====================================================================================================================================

* GLOBALS FOR DATA FILES AND VERSION SUFFIXES
global CVS1DataIN "C:\Users\User\Desktop\Data"    			 //File path to where data is located. Change this path according to where your data folder in located on your computer.
global CVS1VerIN "S1_Anon_V1.0.0"

global DataOUT "C:\Users\User\Desktop\Data"
global VersionOUT "Derived"			

global temp "C:\Users\User\Desktop\Data"					// tempfile to hold all the working datasets, all working datasets will
																// be deleted from this folder at the completion of the do file execution.													

version 12.0													// version of Stata being used.

set more off

clear
cap clear matrix
set more off

scalar base=123.5  												//Set scalar to base month, currently November 2021.

*=====================================================================================================================================


* CVACS QUESTIONNAIRE
use "$CVS1DataIN\Unvaccinated_CVACS_$CVS1VerIN.dta", clear

cap drop s1_deflator
gen s1_deflator=.
replace s1_deflator=base/123.5 if s1_u_intrv_m==11			// November 2021.
replace s1_deflator=base/124.2 if s1_u_intrv_m==12       	// December 2021.

lab var s1_deflator "CVACS Survey 1 deflator"

save "$CVS1DataIN\CVACS_$VersionOUT.dta", replace

*=====================================================================================================================================

* end of do file


